core:module("CoreMissionScriptElement")

if not Global.game_settings or not Global.game_settings.level_id then
	return
end

if _G.GunpowderGloryHelperMod then
	return
end

_G.GunpowderGloryHelperMod = {}

function _G.GunpowderGloryHelperMod:Message(s)
	local is_host = managers.network and managers.network:session() and managers.network:session():is_host()
	if not is_host then
		return
	end
	managers.chat:send_message(1, nil, s)
end

if Global.game_settings.level_id == "bex" then
	local old_Bank_stuff_MissionScriptElement_on_executed = MissionScriptElement.on_executed
	function MissionScriptElement:on_executed(instigator, alternative, skip_execute_on_executed)
		if(self._editor_name == "bex_10_trigger" and self._id == 103698 and not _G.GunpowderGloryHelperMod.deactive) then
			_G.GunpowderGloryHelperMod:Message("Locke says: \"YOU DUMB CHOPS LET A COP TOUCH THE SACRED FOUNTAIN PLAZA!\"")
			_G.GunpowderGloryHelperMod.deactive = true
		end
		if(self._editor_name == "disable_because_player_inside_bank" and not _G.GunpowderGloryHelperMod.deactive) then
			_G.GunpowderGloryHelperMod:Message("Locke says: \"YOU DUMB CHOPS ENTERED THE BANK BEFORE THE ALARM WENT OFF!\"")
			_G.GunpowderGloryHelperMod.deactive = true
		end
		if(self._editor_name == "vhard_below" and self._id == 140156 and not _G.GunpowderGloryHelperMod.deactive) then
			_G.GunpowderGloryHelperMod:Message("Locke says: \"YOU DUMB CHOPS WEREN'T BRAVE ENOUGH FOR A DIFFICULTY OF OVERKILL OR ABOVE!\"")
			_G.GunpowderGloryHelperMod.deactive = true
		end
		return old_Bank_stuff_MissionScriptElement_on_executed(self, instigator, alternative, skip_execute_on_executed)
	end
end